Subject: Re: [PATCH] pseries: don't die if unknown/missing interrupt controller property

From: [email-masked] (Olof Johansson)
Date: Thu, 5 Jul 2007 08:37:34 -0500

On Sun, Jul 01, 2007 at 08:49:37PM -0400, Sonny Rao wrote:
> The pseries platform does not have a default function for init_IRQ and
> does not install one if it doesn't find or doesn't recognize an
> interrupt controller in the device tree.  Currently, the kernel dies
> when it tries to call the NULL init_IRQ() function.  Clean that up.

Doesn't it make more sense to make init_IRQ() check that the pointer is
set instead? That'll work for more platforms than just pseries.

-Olof